$(document).ready(function(){

	// Define the number of featured content pages
	var ntt_num_featured_pages = $('.ntt_total_fc_pages').val();
	var ntt_post_content_html1 = '';
	var ntt_post_content_html2 = '';
	var ntt_post_content_html3 = '';
	
	var ntt_wordpress_url = $('.ntt_wp_url_dir').val();
	
	// Used to check if content is updated
	var ntt_content_updated = 0; 
	
	// Go get all of the content that is going to be used
	get_featured_content(ntt_num_featured_pages);
	
	// Returns the first child thumbnail image location
	var first_child_thumb = ($('.ntt_thumb_box div img').length);
	
	// This will be used to track the current featured content
	var rotator_index = first_child_thumb;
	
	// This will hold the id for function calls to setInterval
	// When I make a new setInterval call it will be used to delete 
	// the older one
	var ntt_set_interval_id = '';
	
	// Holds the value of the current featured content on screen
	// I set it up to hold either the values of 1,2, or 3
	// You can see this in use in the function grab_next_feat_content
	var featured_content_being_shown = 1;
	
	// Call the function that will setup all of the default styling
	ntt_setup_featured_content();
	
	// Changes all of the content in the featured content tool when the next
	// arrow is clicked
	function grab_next_feat_content()
	{
		if (featured_content_being_shown == 1)
		{
			if(ntt_num_featured_pages >= 2)
			{
			
			// Copy the featured content stored in another file to the page
			$('.ntt_featured_content').html(ntt_post_content_html2);
			featured_content_being_shown = 2;
			ntt_content_updated = 1;
			
			}
		}
		
		else if (featured_content_being_shown == 2)
		{
			if(ntt_num_featured_pages == 3)
			{
			
			// Copy the featured content stored in another file to the page
			$('.ntt_featured_content').html(ntt_post_content_html3);
			featured_content_being_shown = 3;
			ntt_content_updated = 1;
			
			} else 
			{
				// Copy the featured content stored in another file to the page
				$('.ntt_featured_content').html(ntt_post_content_html1);
				featured_content_being_shown = 1;
				ntt_content_updated = 1;
			}
		}
		else if (featured_content_being_shown == 3)
		{
			// Copy the featured content stored in another file to the page
			$('.ntt_featured_content').html(ntt_post_content_html1);
			featured_content_being_shown = 1;
			ntt_content_updated = 1;
		}
		

		
		if(ntt_content_updated == 1) // Check to see if featured content changed
		{
		
		// Eliminate the previously set setInterval() call 
		// If this isn't done you will have multiple timers which isn't fun
		clearInterval(ntt_set_interval_id);
		
		rotator_index = first_child_thumb;
		
		// Call the function that provides the default styling
		ntt_setup_featured_content();
		
		} // End if statement that checks if featured content changes
		ntt_content_updated = 0;
	
	}
	
	// Changes all of the content in the featured content tool when the previous
	// arrow is clicked
	function grab_last_feat_content()
	{
		
		if (featured_content_being_shown == 1)
		{
		
			if(ntt_num_featured_pages == 3)
			{
			
			// Copy the featured content stored in another file to the page
			$('.ntt_featured_content').html(ntt_post_content_html3);
			featured_content_being_shown = 3;
			ntt_content_updated = 1;
			
			} else if (ntt_num_featured_pages == 2)
			{
				// Copy the featured content stored in another file to the page
			$('.ntt_featured_content').html(ntt_post_content_html2);
			featured_content_being_shown = 2;
			ntt_content_updated = 1;
			}
		}
		else if (featured_content_being_shown == 2)
		{
			// Copy the featured content stored in another file to the page
			$('.ntt_featured_content').html(ntt_post_content_html1);
			featured_content_being_shown = 1;
			ntt_content_updated = 1;
		}
		else if (featured_content_being_shown == 3)
		{
			// Copy the featured content stored in another file to the page
			$('.ntt_featured_content').html(ntt_post_content_html2);
			featured_content_being_shown = 2;
			ntt_content_updated = 1;
		}
		
		if(ntt_content_updated == 1) // Check to see if featured content changed
		{
		
		// Eliminate the previously set setInterval() call 
		// If this isn't done you will have multiple timers which isn't fun
		clearInterval(ntt_set_interval_id);
		
		// Set the featured content to the first thumb and everything else
		rotator_index = first_child_thumb;
		
		// Call the function that provides the default styling
		ntt_setup_featured_content();
		
		} // End if statement that checks if featured content changes
		ntt_content_updated = 0;
	
	}
	
	function ntt_setup_featured_content()
	{
		
		// Make all excerpts invisible
		$('.ntt_article_excerpt p').css({opacity: 0.0}); 
	
		// Show the first excerpt
		$('.ntt_article_excerpt p:first').animate({opacity: 1.0});
		
		// Dims the first child thumbnail 
		// You have to surround the variable with a plus
		$('.ntt_thumb_box div:nth-child('+first_child_thumb+')').animate({opacity: 0.4});
	
		$('.ntt_thumb_box div:nth-child('+first_child_thumb+')').addClass('selected');
	
		$('.ntt_thumbnail_frame img').bind('click', change_featured_content);
	
		ntt_set_interval_id = setInterval((function () {
			rotate_images();
		// arguments.callee returns the function that called the function in 
		// which it lies. In effect this continues to execute the setInterval
		// function over and over
		return arguments.callee;
		})(), 4000);
		
		// Bind the arrows so that when clicked they grab the new content
		$('.ntt_right_button img').bind('click', grab_next_feat_content);
		$('.ntt_left_button img').bind('click', grab_last_feat_content);
		
		// If there is only one set of featured content don't show arrows
		// Also remove their click events
		if (ntt_num_featured_pages == 1)
		{
		
			$('.ntt_right_button img').css({opacity: 0.0}); 
			$('.ntt_left_button img').css({opacity: 0.0});
			$('.ntt_right_button img').unbind('click'); 
			$('.ntt_left_button img').unbind('click'); 
		
		}
	
	}
	
	function rotate_images()
	{
	
	// Grabs the image that lies in the same zero based position as the value
	// of rotator_index.
	var sibling_img =$('.ntt_thumbnail_frame:eq('+rotator_index+') img');
	
	// Triggers a click event on the image so that the featured content changes
	sibling_img.trigger('click');
	
	// Cycles through all of the available featured content available
	if (rotator_index <= 0)
	{
		// first_child_thumb equals the total number of images available to 
		// cycle through
		rotator_index = first_child_thumb;
	}else rotator_index--;
	
	}

	function change_featured_content(e){
	
		e.preventDefault(); // Prevents the link from opening the pict
		
		// Set all thumbs back to defaults
		$('.ntt_thumb_box div').removeClass('selected');
		$('.ntt_thumb_box div img').removeClass('selected');
		$('.ntt_thumb_box div').animate({opacity: 1.0}); 
		$('.ntt_thumb_box div img').animate({opacity: 1.0});
		
		$(this).addClass('selected'); // this is the item that was clicked
		$(this).parent().addClass('selected');
		$(this).animate({opacity: 0.4});
		
		var pict_title = $(this).attr('title');
		
		// Link destination of full size
		var pict_fullsize = $(this).attr('src'); 
		
		// Retrieves the alt for the thumbnail clicked
		var alt_thumb_clicked = $(this).attr('alt');
		
		// Retrieve the URL for the anchor that surrounds the featured picture
		var url_to_post = $('.ntt_link_to_post:[alt="'+alt_thumb_clicked+'"]').attr("href");
		
		// Hide all anchor tags if the alt isn't the same as the featured pic
		$('.ntt_link_to_post:[alt!="'+alt_thumb_clicked+'"]').hide();
		
		// Show the anchor tag if the alt is the same as the featured pic
		$('.ntt_link_to_post:[alt="'+alt_thumb_clicked+'"]').show();
		
		// Cut the src tag from the beginning of the featured picture
		var photo_preview = pict_fullsize.replace(/.*src=/, '');
		
		// Change main title above the excerpt
		$('.ntt_article_title').html(pict_title);
		
		// Get the url for the post that is stored in the link that surrounds 
		// the featured image
		// var link_to_post = $('.ntt_link_to_post').attr("href");
		
		// Change the href for the Read More link 
		$('.ntt_read_more a').attr("href", url_to_post);
		
		// Change the src value of the featured image and set its opacity to 0
		$('.ntt_featured_pic a img').attr({
			src: photo_preview, 
			style: 'opacity:0.0;'
		});
		
		// Increase the opacity of the featured pick from 0 to 100% over a 2 
		// second period
		$('.ntt_featured_pic a img').animate({opacity: 1.0}, 2000);
		
		var pict_name_for_excerpt = pict_title.toLowerCase().replace(/\s/g, '-');
		
		// Makes all of the paragraph excerpts disappear
		$('.ntt_article_excerpt p').css({opacity: 0.0});
		
		// Turns the opacity up for the paragraph associated with the same title
		// as the main picture
		$('.ntt_article_excerpt p:[title="'+pict_name_for_excerpt+'"]').css({opacity: 1.0});
	}
	
	// Grabs all of the data stored in outside files and saves that information
	// to a variable for use when the arrows are clicked on
	// ntt_wordpress_url contains the location of the Wordpress URL
	// ntt_wordpress_url is referenced on line 9 above.
	// ntt_wordpress_url received its value buy passing it through a hidden tag
	function get_featured_content(ntt_num_content_blocks)
	{
			
		if (ntt_num_content_blocks == 2)
		{
			
			$.get(ntt_wordpress_url + "/wp-content/plugins/NTTFeaturedContent2/js/featured_data1.txt", function(data){
				ntt_post_content_html1 = data;
			});
			
			$.get(ntt_wordpress_url + "/wp-content/plugins/NTTFeaturedContent2/js/featured_data6.txt", function(data){
				ntt_post_content_html2 = data;
			});
			
		} else if (ntt_num_content_blocks == 3)
		{
			$.get(ntt_wordpress_url + "/wp-content/plugins/NTTFeaturedContent2/js/featured_data1.txt", function(data){
				ntt_post_content_html1 = data; 
			});
			
			$.get(ntt_wordpress_url + "/wp-content/plugins/NTTFeaturedContent2/js/featured_data6.txt", function(data){
				ntt_post_content_html2 = data;
			});
			
			$.get(ntt_wordpress_url + "/wp-content/plugins/NTTFeaturedContent2/js/featured_data11.txt", function(data){
				ntt_post_content_html3 = data;
			});
			
		} else {
			$.get(ntt_wordpress_url + "/wp-content/plugins/NTTFeaturedContent2/js/featured_data1.txt", function(data){
				ntt_post_content_html1 = data;
			});
		}
	}
	
	
	// This will change in upcoming versions
	// It sends the browser to the featured image when that image is clicked
	// In the future it will open an article, movie, or image gallery
	$('.ntt_featured_pic img').click(function(e) {
	
		var pict_location = $(this).attr("src");
		$('.ntt_featured_pic').html(pict_location);
		
		$(location).attr('href',pict_location);
	
	}); 
	
});